This is more of a minor annoyance, but in the last couple of Tumbleweed updates YaST has lost at least some of its sound configuration capabilities.

It reports "C216 Chipset Family High Definition Audio Controller" which uses the "snd-hda-intel" module. Doing "modinfo snd-hda-intel" yields the following:
Code:

description:    Intel HDA driver
license:        GPL
srcversion:     3508BEF6CB4C7604CC98FCF
[...]
parm:           index:Index value for Intel HD audio interface. (array of int)
parm:           id:ID string for Intel HD audio interface. (array of charp)
parm:           enable:Enable Intel HD audio interface. (array of bool)
parm:           model:Use the given board model. (array of charp)
parm:           position_fix:DMA pointer read method.(-1 = system default, 0 = auto, 1 = LPIB, 2 = POSBUF, 3 = VIACOMBO, 4 = COMBO, 5 = SKL
+, 6 = FIFO). (array of int)
parm:           bdl_pos_adj:BDL position adjustment offset. (array of int)
parm:           probe_mask:Bitmask to probe codecs (default = -1). (array of int)
parm:           probe_only:Only probing and no codec initialization. (array of int)
parm:           jackpoll_ms:Ms between polling for jack events (default = 0, using unsol events only) (array of int)
parm:           single_cmd:Use single command to communicate with codecs (for debugging only). (bint)
parm:           enable_msi:Enable Message Signaled Interrupt (MSI) (bint)
parm:           patch:Patch file for Intel HD audio interface. (array of charp)
parm:           beep_mode:Select HDA Beep registration mode (0=off, 1=on) (default=1). (array of bool)
parm:           power_save:Automatic power-saving timeout (in second, 0 = disable). (xint)
parm:           pm_blacklist:Enable power-management blacklist (bool)
parm:           power_save_controller:Reset controller in power save mode. (bool)
parm:           align_buffer_size:Force buffer and period sizes to be multiple of 128 bytes. (bint)
parm:           snoop:Enable/disable snooping (bint)

Previously, going to the YaST sound module and selecting "Advanced setup with possibility to change options" would then show a page which showed all the "parm" options with the ability to change them.

Now, selecting the same in YaST gives "There are no options for this module"

YaST in Leap 15.1 shows all the expected options.

I don't know if this is a regression or a deprecation.

Or some weird quirk in my current setup.